Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.signing.signatory.pgp
[Groovy] Class PgpKeyId

    java.lang.Object
      org.gradle.plugins.signing.signatory.pgp.PgpKeyId

All Implemented Interfaces:
  java.lang.Comparable

    class PgpKeyId
    extends java.lang.Object

A normalised form for keys, which are friendliest for users as hex strings but used internally as longs.

Property Summary
`java.lang.String` | `asHex`
`long` | `asLong`

Constructor Summary
`PgpKeyId(long keyId)`
`PgpKeyId(org.bouncycastle.openpgp.PGPPublicKey keyId)`
`PgpKeyId(org.bouncycastle.openpgp.PGPSignature signature)`
`PgpKeyId(java.lang.String keyId)`

Method Summary
`int` | `compareTo(PgpKeyId other)`
`boolean` | `equals(java.lang.Object other)`
`int` | `hashCode()`
`static java.lang.String` | `toHex(long keyId)`
`static long` | `toLong(java.lang.String keyId)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### asHex

    final java.lang.String asHex

### asLong

    final long asLong

Constructor Detail

### PgpKeyId

    PgpKeyId(long keyId)

### PgpKeyId

    PgpKeyId(org.bouncycastle.openpgp.PGPPublicKey keyId)

### PgpKeyId

    PgpKeyId(org.bouncycastle.openpgp.PGPSignature signature)

### PgpKeyId

    PgpKeyId(java.lang.String keyId)

Method Detail

### compareTo

    int compareTo(PgpKeyId other)

### equals

    @Override
    boolean equals(java.lang.Object other)

### hashCode

    @Override
    int hashCode()

### toHex

    static java.lang.String toHex(long keyId)

### toLong

    static long toLong(java.lang.String keyId)

### toString

    @Override
    java.lang.String toString()

Groovy Documentation